Subject: [Supa] question on the SUPA data model.

From: "Liushucheng (Will)" <[email-masked]>
Date: Thu, 16 Feb 2017 08:20:32 +0000

Hi all,

I received a question to SUPA data model from a developer. I'm forwarding it here so that the discussion here will help other developer to better understand how to use supa data model.

--start-
Dear SUPA YANG model authors,

Thanks for drafting the SUPA Generic Policy YANG data model (draft-ietf-supa-generic-policy-data-model-02), and it explains the concept well. However, I met some difficulties when applying the data model to real systems. In particular, I tried to define an ECA YANG model, and used the ECA YANG model to develop a real working system.

In my system, there are some concrete elements such as <source_ip, source_port>, <dest_ip, dest_port>, port_bandwidth, and ECA policies are defined on these elements. I wondered how to deal with these elements/policies in the Generic YANG model (draft-ietf-supa-generic-policy-data-model-02)? (e.g., enrich some container?)

I would greatly appreciate it if you kindly give me some advice. Many thanks!

Regards,
Leo
--end--

Regards,
Will (Shucheng LIU)